<?php

namespace app\admin\validate\member;

use support\Validate;

class MemberValidate extends Validate
{
    protected $rule = [
        'member_id' => 'require|alphaDash',
        'account_name|账号名称' => 'require',
        'avatar|头像' => 'require',
        'source|来源' => 'require', // 来源
        'is_owner' => 'require|in:Y,N',
        'classify|归类' => 'require', // 归类 会员/游客
        'birth|生日' => 'require',
        'gender|性别' => 'require|in:male,female,unknown',
        'status|状态' => 'require|in:ACTIVED,DISABLED',
        'mobile|手机号' => 'require|mobile',
        'addr|具体地址' => 'require',
        'cert_name证件姓名' => 'require',
        'cert_nbr|身份证号' => 'require|idCard',
        'member_cert_face|身份证人像面照片' => 'url', // 身份证人像面照片 base64
        'member_cert_photo|身份证国徽面照片' => 'url' // 身份证国徽面照片 base64
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['avatar', 'source', 'is_owner', 'classify', 'birth', 'gender', 'status', 'mobile', 'addr', 'cert_name',
            'cert_nbr', 'member_cert_face', 'member_cert_photo'],
        'update' => ['member_id', 'avatar', 'source', 'is_owner', 'classify', 'birth', 'gender', 'status', 'mobile', 'addr', 'cert_name',
            'cert_nbr', 'member_cert_face', 'member_cert_photo']
    ];
}