<?php

namespace app\admin\validate\member;

use support\Validate;

class WellnessRecordValidate extends Validate
{
    protected $rule = [
        'wellness_record_id' => 'require|integer',
        'join_wellness_record_member_id' => 'require',
        'wellness_record_status|状态' => 'max:32',
        'wellness_record_category|分类' => 'in:Archives,Examine,病例,Advice,来访,其他',
        'wellness_record_name|名称' => 'require',
//        'wellness_record_datetime' => 'max:20',
        'wellness_record_file_json|文件' => 'isJson',
        'wellness_record_json' => 'isJson',
        'wellness_record_extend_json' => 'isJson',
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['join_wellness_record_member_id', 'wellness_record_category', 'wellness_record_name', 'wellness_record_datetime'],
        'update' => ['wellness_record_id', 'join_wellness_record_member_id', 'wellness_record_category', 'wellness_record_name', 'wellness_record_datetime'],
        'info'=>['wellness_record_id'],
    ];
}