<?php

namespace app\admin\validate\sys_manage;

use support\Validate;

class DeptValidate extends Validate
{
    protected $rule = [
        'dept_id' => 'require|integer',
        'dept_super_id|上级' => 'require|integer',
        'dept_status|状态' => 'require|in:ACTIVED,DISABLED',
        'dept_category|分类' => 'require|in:职能部门,财务部门,仓库货仓,外延部门,营业场所,其他',
        'dept_code|编号' => 'require|alphaDash',
        'dept_city|所在城市' => 'require',
        'dept_name|名称' => 'require',
        'dept_telephone|联系电话' => 'mobile',
        'dept_position|坐标' => 'regex:/^[0-9\.]+$/',
        'dept_address|地址' => 'max:255',
//        'dept_remark' => 'chsDash'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['dept_super_id', 'dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'update' => ['dept_super_id', 'dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'update_status' => ['dept_status'],
        'add_premises' => ['dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'update_premises' => ['dept_id', 'dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'info' => ['dept_id'],
        'marketing_team_add' => ['dept_super_id', 'dept_name'],
        'marketing_team_update' => ['dept_super_id', 'dept_name'],
        'medical_team_add' => ['dept_name'],
        'medical_team_update' => ['dept_name'],
        'service_team_add' => ['dept_name'],
        'service_team_update' => ['dept_name'],
    ];
}