<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class Content extends Model
{
    protected $table = 'content';

    protected $primaryKey = 'content_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'content_addtimes';

    const UPDATED_AT = null;

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function category(){
        return $this->hasOne(SysCategory::class,'category_id','join_content_category_id')
            ->select('category_id','category_name');
    }
}