<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class Order extends Model
{
    protected $table = 'order';

    protected $primaryKey = 'order_id';

    protected $keyType = 'string';

    protected $dateFormat = 'U';

    const CREATED_AT = 'order_addtimes';

    const UPDATED_AT = null;

    const AUTOMATIC_RECEIPT_PREFIX = 'ORDER:AUTOMATIC:RECEIPT:';

    public function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function sheet(){
        return $this->hasOne(OrderSheet::class,'join_sheet_order_id','order_id');
    }

    public function member(){
        return $this->hasOne(Member::class,'member_id','join_order_member_id');
    }
}