<?php

namespace process;

use app\admin\service\goods\GoodsService;
use app\admin\service\order\OrderService;
use Workerman\Crontab\Crontab;

class Task
{
    public function onWorkerStart()
    {
        // 每分钟执行一次
        new Crontab('0 */1 * * * *', function () {
            // 商品自动上架
            GoodsService::checkListing();
            // 商品自动下架
            GoodsService::checkOffListing();
            // 未支付30分钟取消
            OrderService::checkPayingOrder();
        });

        // 每天的8点执行，注意这里省略了秒位
        new Crontab('0 2 * * *', function () {
            // 签收后7天自动确认收货
            OrderService::AutomaticReceipt();
        });
    }
}